﻿''' <summary>
''' Represents the method that will handle the <see cref="MessageClientServerBase.ConnectionAccepted">ConnectionAccepted</see> and
''' <see cref="MessageClientServerBase.ConnectionClosed">ConnectionClosed</see> events of a <see cref="MessageClientServerBase" />.
''' </summary>
''' <param name="sender">
''' The source of the event.
''' </param>
''' <param name="e">
''' A <see cref="ConnectionEventArgs" /> that contains the event data.
''' </param>
Public Delegate Sub ConnectionEventHandler(ByVal sender As Object, ByVal e As ConnectionEventArgs)

''' <summary>
''' Represents the method that will handle the <see cref="MessageClientServerBase.MessageReceived">MessageReceived</see> event of a <see cref="MessageClientServerBase" />.
''' </summary>
''' <param name="sender">
''' The source of the event.
''' </param>
''' <param name="e">
''' A <see cref="MessageReceivedEventArgs" /> that contains the event data.
''' </param>
Public Delegate Sub MessageReceivedEventHandler(ByVal sender As Object, ByVal e As MessageReceivedEventArgs)
